Class | YARD::Parser::Ruby::Legacy::TokenList
In: | lib/yard/parser/ruby/legacy/token_list.rb
Parent: | Array

### Methods

<< new push squeeze to_s

### Included Modules

RubyToken

### Public Class methods

new(content = nil)

### Public Instance methods

<<(*tokens)

Alias for push

push(*tokens)

@param [TokenList, Token, String] tokens

      A list of tokens. If the token is a string, it
      is parsed with {RubyLex}.

squeeze(type = TkSPACE)
to_s(full_statement = false, show_block = true)

[Validate]